__gnu_profile::__container_size_stack_info(3cxx)

NAME
__gnu_profile::__container_size_stack_info - A container size instrumentation line in the stack table.

SYNOPSIS

Inherits __gnu_profile::__container_size_info.

  Public Member Functions

__container_size_stack_info (const __container_size_info &__o)
std::string __advice () const
void __destruct (std::size_t __num, std::size_t __inum)
void __init (std::size_t __num)
bool __is_valid () const
float __magnitude () const
void __merge (const __container_size_info &__o)
void __merge (const __object_info_base &__o)
void __resize (std::size_t __from, std::size_t __to)
float __resize_cost (std::size_t __from, std::size_t)
void __set_invalid ()
__stack_t __stack () const
void __write (FILE *__f) const

  Protected Attributes

__stack_t _M_stack
bool _M_valid

Detailed Description

A container size instrumentation line in the stack table.

Definition at line 147 of file profiler_container_size.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.